> Tous les forums > Forum Linux
 VLC : messages d'erreur sans incidence sur le bon déroulementSujet résolu
Ajouter un message à la discussion
Page : [1] 
Page 1 sur 1
Mimile
  Posté le 13/09/2017 @ 17:21 
Aller en bas de la page 
Astucien

Bonjour,

Je visionne différents types de fichiers vidéo avec VLC : *.avi, *.mkv, *.mp4, etc.

Tout se passe bien mais quand je lance VLC en ligne de commande, j'obtiens une interminable série de messages tels que celui-ci :

[00007fbc24c449b8] blend blend error: no matching alpha blending routine (chroma: YUVA -> VDV0)
[00007fbc24c449b8] core blend error: blending YUVA to VDV0 failed

Ca ne m'ennuie pas vraiment vu que VLC fonctionne correctement quel que soit le type de fichier vidéo, mais quand même, j'aimerais avoir le fin mot de ces messages et mieux encore, faire en sorte qu'ils ne s'affichent plus.

Je précise que j'ai arpenté le net sans trouver de réponse satisfaisante.

Merci d'avance.

Publicité
Logicien
 Posté le 14/09/2017 à 14:51 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Installe toutes les dépendances optionelles de Vlc qui ne le sont pas et regarde si ces lignes s'affichent encore après avoir relancé Vlc dans un terminal graphique.

yaourt -Si vlc
Dépôt : extra
Nom : vlc
Version : 2.2.6-3
Description : Multi-platform MPEG, VCD/DVD, and DivX player
Architecture : x86_64
URL : https://www.videolan.org/vlc/
Licences : LGPL2.1 GPL2
Groupes : --
Fournit : --
Dépend de : a52dec libdvbpsi libxpm libdca libproxy sdl_image libdvdnav libtiger lua libmatroska zvbi taglib libmpcdec ffmpeg2.8 faad2 libupnp libshout libmad libmpeg2
xcb-util-keysyms libtar libxinerama
Dépendances opt. : avahi: for service discovery using bonjour protocol
libnotify: for notification plugin
gtk2: for notify plugin
ncurses: for ncurses interface support
libdvdcss: for decoding encrypted DVDs
lirc: for lirc plugin
libavc1394: for devices using the 1394ta AV/C
libdc1394: for IEEE 1394 plugin
kdelibs: KDE Solid hardware integration
libva-vdpau-driver: vdpau back-end for nvidia
libva-intel-driver: back-end for intel cards
libbluray: for Blu-Ray support
flac: for Free Lossless Audio Codec plugin
portaudio: for portaudio support
twolame: for TwoLAME mpeg2 encoder plugin
projectm: for ProjectM visualisation plugin
libcaca: for colored ASCII art video output
libgme: for libgme plugin
librsvg: for SVG plugin
libgoom2: for libgoom plugin
vcdimager: navigate VCD with libvcdinfo
aalib: for ASCII art plugin
libmtp: for MTP devices support
smbclient: for SMB access plugin
libcdio: for audio CD playback support
ttf-freefont: for subtitle font
ttf-dejavu: for subtitle font
opus: for opus support
libssh2: for sftp support
lua-socket: for http interface
qt4: for the GUI
Est en conflit avec : vlc-plugin
Remplace : vlc-plugin
Taille du téléchargement : 10,11 MiB
Taille installée : 54,65 MiB
Paqueteur : Maxime Gauduin <alucryd@archlinux.org>
Compilé le : mar. 15 août 2017 08:31:17 EDT
Validé par : Somme MD5 Somme SHA-256 Signature



Modifié par Logicien le 14/09/2017 14:52
Mimile
 Posté le 14/09/2017 à 14:55 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Salut Paul

Dois-je supprimer la version actuelle de VLC avant de lancer ta commande yaourt -Si vlc ?



Modifié par Mimile le 14/09/2017 14:55
Logicien
 Posté le 14/09/2017 à 22:33 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Non Mimile,

tu dois installer les paquets optionnels de Vlc telle que la commande yaourt -Si vlc le montre. Je te la donne

yaourt -S libnotify gtk2 ncurses libdvdcss lirc libavc1394 libdc1394 kdelibs libva-vdpau-driver libva-intel-driver libbluray flac portaudio twolame projectm libcaca libgme librsvg libgoom2 vcdimager aalib libmtp smbclient libcdio ttf-freefont ttf-dejavu opus libssh2 lua-socket qt4

Tu auras à répondre à un choix

:: Il y a 2 fournisseurs disponibles pour phonon-qt4-backend :
:: Dépôt extra
1) phonon-qt4-gstreamer 2) phonon-qt4-vlc

Personnellement j'ai choisi 2. Après cela, toutes les dépendances obligatoires et optionnelles de Vlc seront installées. Tu rouleras en Cadillac multimédia non seulement avec Vlc mais aussi avec Mplayer et Xine qui ont sûrement des dépendances optionelles communes avec Vlc.

Je ne peux garantir que cela va supprimer le message d'erreur qui s'affiche quand tu lances Vlc depuis un terminal graphique, mais cela peut aider. Je n'ai pas ce message d'erreur. S'il persiste installe Blender

yaourt -S blender



Modifié par Logicien le 14/09/2017 22:46
Mimile
 Posté le 15/09/2017 à 16:56 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Salut Paul,

Pour ton information :

( 1/39) réinstallation ncurses [######################] 100%
( 2/39) réinstallation libssh2 [######################] 100%
( 3/39) réinstallation qt4 [######################] 100%
( 4/39) réinstallation flac [######################] 100%
( 5/39) réinstallation libavc1394 [######################] 100%
( 6/39) réinstallation libgme [######################] 100%
( 7/39) réinstallation librsvg [######################] 100%
( 8/39) réinstallation gtk2 [######################] 100%
( 9/39) réinstallation opus [######################] 100%
(10/39) réinstallation libdc1394 [######################] 100%
(11/39) réinstallation lirc [######################] 100%
(12/39) réinstallation libmtp [######################] 100%
(13/39) réinstallation libbluray [######################] 100%
(14/39) réinstallation libdvdcss [######################] 100%
(15/39) réinstallation libnotify [######################] 100%
(16/39) réinstallation smbclient [######################] 100%
(17/39) réinstallation aalib [######################] 100%
(18/39) installation de attica-qt4 [######################] 100%
(19/39) installation de libdbusmenu-qt4 [######################] 100%
(20/39) installation de polkit-qt4 [######################] 100%
(21/39) installation de docbook-xml [######################] 100%
(22/39) installation de docbook-xsl [######################] 100%
(23/39) installation de phonon-qt4-vlc [######################] 100%
(24/39) installation de phonon-qt4 [######################] 100%
Dépendances optionnelles pour phonon-qt4
pulseaudio: PulseAudio support [installé]
(25/39) installation de media-player-info [######################] 100%
(26/39) installation de kdelibs [######################] 100%
(27/39) réinstallation ttf-dejavu [######################] 100%
(28/39) réinstallation libcaca [######################] 100%
(29/39) installation de libva-vdpau-driver [######################] 100%
(30/39) réinstallation libcdio [######################] 100%
(31/39) installation de ttf-freefont [######################] 100%
(32/39) installation de vcdimager [######################] 100%
(33/39) installation de libva-intel-driver [######################] 100%
(34/39) installation de ftgl [######################] 100%
(35/39) installation de projectm [######################] 100%
(36/39) installation de lua-socket [######################] 100%
(37/39) réinstallation portaudio [######################] 100%
(38/39) installation de twolame [######################] 100%
(39/39) installation de libgoom2 [######################] 100%
:: Exécution des crochets de post-transaction...
( 1/12) Updating fontconfig cache...
( 2/12) Probing GDK-Pixbuf loader modules...
( 3/12) Probing GTK2 input method modules...
( 4/12) Updating icon theme caches...
( 5/12) Updating 32-bit fontconfig cache...
( 6/12) Updating udev hardware database...
( 7/12) Creating temporary files...
( 8/12) Arming ConditionNeedsUpdate...
( 9/12) Updating the info directory file...
(10/12) Updating the desktop file MIME type cache...
(11/12) Updating the MIME type database...
Unknown media type in type 'all/all'
Unknown media type in type 'all/allfiles'
(12/12) Updating X fontdir indices...

J'ai donc lancé la lecture d'un *.avi et au démarrage, les mêmes messages mais contrairement à auparavant, après quelques affichages, cela s'arrête.

okapi@archie ~]$ vlc /media/Stock2/NCIS_LA_7/NCIS_Los_Angeles\ 7x10.avi
VLC media player 2.2.6 Umbrella (revision 2.2.6-0-g1aae78981c)

[000056228938e398] core libvlc: Lancement de vlc avec l'interface par défaut. Utilisez « cvlc » pour démarrer VLC sans interface.
[00007f5b60e047e8] avcodec decoder: Using G3DVL VDPAU Driver Shared Library version 1.0 for hardware decoding.
[00007f5b44033d58] blend blend error: no matching alpha blending routine (chroma: YUVA -> VDV0)

[00007f5b44033d58] core blend error: blending YUVA to VDV0 failed
[00007f5b44033d58] blend blend error: no matching alpha blending routine (chroma: YUVA -> VDV0)
[00007f5b44033d58] core blend error: blending YUVA to VDV0 failed
[00007f5b44033d58] blend blend error: no matching alpha blending routine (chroma: YUVA -> VDV0)
[00007f5b44033d58] core blend error: blending YUVA to VDV0 failed
[00007f5b44033d58] blend blend error: no matching alpha blending routine (chroma: YUVA -> VDV0)
[00007f5b44033d58] core blend error: blending YUVA to VDV0 failed

Bizarre.

Cela dit, je lance la lecture des vidéos en cliquant simplement sur leurs *.avi, donc je ne vois pas ce qui se passe en arrière-plan et de ce fait, ce n'est pas gênant.

En tout cas, merci pour ta réponse.

Amicalement

EDIT : l'installation de blender a échoué :

[okapi@archie ~]$ yaourt -S blender
résolution des dépendances...
recherche des conflits entre paquets...

Paquets (17) alembic-1.7.1-3 blosc-1.12.0-1 hdf5-1.10.1-1
intel-tbb-2017_20170604-1 jemalloc-1:5.0.1-3 libspnav-0.2.3-1
log4cplus-1.2.0-3 opencollada-1:1.6.59-1 opencolorio-1.0.9-5
openimageio-1.7.13-4 openshadinglanguage-1.7.5-2
opensubdiv-3.1.1-2 openvdb-3.2.0-4 ptex-2.0.62-2 snappy-1.1.4-1
zstd-1.3.0-1 blender-17:2.79-1

Taille totale du téléchargement : 51,10 MiB
Taille totale installée : 434,07 MiB

:: Procéder à l’installation ? [O/n]
:: Récupération des paquets...
erreur : échec de récupération du fichier « alembic-1.7.1-3-x86_64.pkg.tar.xz » depuis archlinux.mirror.pkern.at : The requested URL returned error: 404
erreur : échec de récupération du fichier « alembic-1.7.1-3-x86_64.pkg.tar.xz » depuis archlinux.polymorf.fr : The requested URL returned error: 404
erreur : échec de récupération du fichier « alembic-1.7.1-3-x86_64.pkg.tar.xz » depuis mirror.tyborek.pl : The requested URL returned error: 404
erreur : échec de récupération du fichier « alembic-1.7.1-3-x86_64.pkg.tar.xz » depuis mirror.lastmikoi.net : The requested URL returned error: 404
erreur : échec de récupération du fichier « alembic-1.7.1-3-x86_64.pkg.tar.xz » depuis arch.tamcore.eu : The requested URL returned error: 404
avertissement : erreur lors de la récupération de certains fichiers
erreur : échec de récupération du fichier « blender-17:2.79-1-x86_64.pkg.tar.xz » depuis archlinux.mirror.pkern.at : The requested URL returned error: 404
erreur : échec de récupération du fichier « blender-17:2.79-1-x86_64.pkg.tar.xz » depuis archlinux.polymorf.fr : The requested URL returned error: 404
erreur : échec de récupération du fichier « blender-17:2.79-1-x86_64.pkg.tar.xz » depuis mirror.tyborek.pl : The requested URL returned error: 404
erreur : échec de récupération du fichier « blender-17:2.79-1-x86_64.pkg.tar.xz » depuis mirror.lastmikoi.net : The requested URL returned error: 404
erreur : échec de récupération du fichier « blender-17:2.79-1-x86_64.pkg.tar.xz » depuis arch.tamcore.eu : The requested URL returned error: 404
avertissement : erreur lors de la récupération de certains fichiers
erreur : la validation de la transaction a échoué (erreur non prévue)
Des erreurs se sont produites, aucun paquet n’a été mis à jour.
[okapi@archie ~]$

Pourtant mes miroirs sont à jour (sudo reflector --verbose --country France -l 5 -a 2 -p http --sort rate --save /etc/pacman.d/mirrorlist) qui donne les 5 miroirs les plus performants (country country France parce que, pour la Belgique ... bof !).

Je ne m'explique pas ces erreurs 404.

Comme si aucun des miroirs n'était accessible.

Le problème ne vient pas de chez moi puisque je peux atteindre n'importe quel site.



Modifié par Mimile le 15/09/2017 21:16
Logicien
 Posté le 15/09/2017 à 21:15 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Quand un paquet n'est pas trouvé ça peut être parce-qu'il a été remplacé par un plus récent. Alors, fait d'abord

yaourt -Sy

suivi de

yaourt -S blender

Si je te propose d'installer ce paquet c'est parce-que le mot blend apparaît dans le message d'erreur et que Blender est un paquet multimédia comme Vlc.

Mimile
 Posté le 15/09/2017 à 21:27 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Bien vu.

Après yaourt -Sy, j'ai pu installé les paquets liés à blender :

[okapi@archie ~]$ yaourt -Sy
:: Synchronisation des bases de données de paquets...
core 124,5 KiB 1977K/s 00:00 [######################] 100%
extra 1650,6 KiB 7,43M/s 00:00 [######################] 100%
community 4,0 MiB 8,32M/s 00:00 [######################] 100%
multilib est à jour
archlinuxfr est à jour
[okapi@archie ~]$ sudo pacman -S blender
résolution des dépendances...
recherche des conflits entre paquets...

Paquets (17) alembic-1.7.3-1 blosc-1.12.0-1 hdf5-1.10.1-1
intel-tbb-2017_20170604-1 jemalloc-1:5.0.1-3 libspnav-0.2.3-1
log4cplus-1.2.0-3 opencollada-1:1.6.59-1 opencolorio-1.0.9-5
openimageio-1.7.13-4 openshadinglanguage-1.7.5-2
opensubdiv-3.1.1-2 openvdb-3.2.0-4 ptex-2.0.62-2 snappy-1.1.4-1
zstd-1.3.0-1 blender-17:2.79-2

Taille totale du téléchargement : 50,83 MiB
Taille totale installée : 434,18 MiB

:: Procéder à l’installation ? [O/n]
:: Récupération des paquets...
alembic-1.7.3-1-x86_64 736,9 KiB 4,58M/s 00:00 [######################] 100%
blender-17:2.79-2-x... 50,1 MiB 8,53M/s 00:06 [######################] 100%
(17/17) vérification des clés dans le trousseau [######################] 100%
(17/17) vérification de l’intégrité des paquets [######################] 100%
(17/17) chargement des fichiers des paquets [######################] 100%
(17/17) analyse des conflits entre fichiers [######################] 100%
(17/17) vérification de l’espace disque dispon... [######################] 100%
:: Traitement des changements du paquet...
( 1/17) installation de opencollada [######################] 100%
( 2/17) installation de hdf5 [######################] 100%
( 3/17) installation de alembic [######################] 100%
( 4/17) installation de opencolorio [######################] 100%
( 5/17) installation de intel-tbb [######################] 100%
( 6/17) installation de openimageio [######################] 100%
Dépendances optionnelles pour openimageio
qt4: iv image viewer [installé]
python2: bindings support [installé]
( 7/17) installation de openshadinglanguage [######################] 100%
( 8/17) installation de jemalloc [######################] 100%
Dépendances optionnelles pour jemalloc
perl: for jeprof [installé]
( 9/17) installation de libspnav [######################] 100%
(10/17) installation de ptex [######################] 100%
(11/17) installation de opensubdiv [######################] 100%
(12/17) installation de snappy [######################] 100%
(13/17) installation de zstd [######################] 100%
(14/17) installation de blosc [######################] 100%
(15/17) installation de openvdb [######################] 100%
Dépendances optionnelles pour openvdb
python2-numpy: Python module
log4cplus: for vdb_print [en attente]
(16/17) installation de log4cplus [######################] 100%
(17/17) installation de blender [######################] 100%
Dépendances optionnelles pour blender
cuda: cycles renderer cuda support
:: Exécution des crochets de post-transaction...
(1/6) Updating fontconfig cache...
(2/6) Updating icon theme caches...
(3/6) Updating 32-bit fontconfig cache...
(4/6) Arming ConditionNeedsUpdate...
(5/6) Updating the desktop file MIME type cache...
(6/6) Updating X fontdir indices..

Test de lecture vlc : toujours les mêmes messages

[okapi@archie ~]$ vlc /media/Stock2/NCIS_LA_7/NCIS_Los_Angeles\ 7x10.avi
VLC media player 2.2.6 Umbrella (revision 2.2.6-0-g1aae78981c)
[0000557128f1c398] core libvlc: Lancement de vlc avec l'interface par défaut. Utilisez « cvlc » pour démarrer VLC sans interface.
[00007fd6bce04a28] avcodec decoder: Using G3DVL VDPAU Driver Shared Library version 1.0 for hardware decoding.
[00007fd69c033df8] blend blend error: no matching alpha blending routine (chroma: YUVA -> VDV0)
[00007fd69c033df8] core blend error: blending YUVA to VDV0 failed
[00007fd69c033df8] blend blend error: no matching alpha blending routine (chroma: YUVA -> VDV0)
[00007fd69c033df8] core blend error: blending YUVA to VDV0 failed
[00007fd69c033df8] blend blend error: no matching alpha blending routine (chroma: YUVA -> VDV0)

Les mêmes messages sauf que ça ne s'arrête pas...

NB J'ai installé la dépendance optionnelle cuda sans autre résultat.



Modifié par Mimile le 15/09/2017 21:37
Logicien
 Posté le 15/09/2017 à 21:54 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Fait

ps aux | grep vlc

ou

pidof vlc

pour t'assurer que Vlc n'est pas déjà actif. Si oui fait

kill -9 $(pidof vlc)

Lance Vlc au terminal et si le même message apparaît encore, fait

rm -fr ~/.config/vlc

et essai encore de lancer Vlc dans un terminval graphique. Je suis presqu'arrivé au bout de ma science qui, je dois le dire, est souvent empirirque.

Je ne sais pas si c'est parce-que nos ordinateurs et les personnes qui sont devant sont différents, mais je n'ai aucun message d'erreur quand je lance Vlc dans un terminal graphique.



Modifié par Logicien le 15/09/2017 22:01
Mimile
 Posté le 16/09/2017 à 10:52 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

J'ai exécuté rm -fr ~/.config/vlc

J'ai lancé une lecture vidéo en console.

J'ai toujours les messages mais je n'ai plus que le son (écran noir !)

Je ne vois qu'une solution.

Recommencer l'installation de vlc avec tous les modules que tu m'as indiqués plus haut.

Pour l'écran noir, j'ai résolu le problème : dans les préférences, option vidéo, passer "sortie vidéo" de "automatique" à "X11 (XCB)".

Bon, comme c'est quand même très secondaire comme désagréments, je te suggère d'en rester là.

Merci en tout cas pour tes interventions.

Cordialement,

EDIT : j'ai trouvé la solution : préférences > entrées/codecs > passer de "automatique" à "désactiver".

lancement d'une vidéo en ligne de commande :

[okapi@archie ~]$ vlc
VLC media player 2.2.6 Umbrella (revision 2.2.6-0-g1aae78981c)
[00005613a5f82398] core libvlc: Lancement de vlc avec l'interface par défaut. Utilisez « cvlc » pour démarrer VLC sans interface.
et puis plus de messages d'erreur

Cela dit, je craignais que cette désactivation ait un impact sur la lecture d'autres types de vidéos que les *.avi. Vérification faite avec un *.mkv : tout va bien. idem avec un *.mp4

Lien vers une image externe

Problème résolu apparemment.

Amicalement



Modifié par Mimile le 16/09/2017 16:52
Publicité
Logicien
 Posté le 17/09/2017 à 02:05 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Trouver la solution à un problème est un art que je ne maîtrise que partiellement . Félicitations, je regarde les Préférences de Vlc dans la minute.

Edition: je viens de regarder, désactiver le décodage matériel de la carte graphique est peut-être nécessaire avec le module Nouveau. Bon, encore une spéculation. Vive la solution !



Modifié par Logicien le 17/09/2017 02:10
Mimile
 Posté le 17/09/2017 à 10:50 
Aller en bas de la page Revenir au message précédent Revenir en haut de la page
  Astucien

Mon cher Paul

Tu es trop modeste.

Sur j'établis un ratio entre les postes auxquels tu m'as apporté la solution et les quelques rares autres, je pense qu'il se situe à au moins 95 %.

Sans toi, je n'aurais jamais pu remettre en marche une Arch qui fonctionne de manière très satisfaisante, encore que je rencontre quelques petits soucis, notamment avec wine qui fonctionne bien avec quelques *.exe mais qui plante systématiquement l'un d'entre eux (qui me plaît bien quand je dispose d'un peu de temps pour me délasser : belatout.exe qui est un jeu de carte qui s'appelle la belote - j'ignore si ce jeu se pratique au Canada).

Pourtant, il fonctionne très bien sous Mint et sous Debian.

De plus, je ne sais pas les lancer par le biais d'un raccourci sur le bureau. Il faut que j'installe le dossier complet sur le bureau (je lui attribue une icône pour l'esthétique) mais quand je double-clique dessus, c'est tout le dossier qui s'ouvre et je dois cliquer sur l'*.exe pour démarrer le jeu.

Autre étrangeté : il y a des années, tu avais mis à la disposition du forum un petit script permettant de décrire précisément les paramètres d'une fenêtre : Xwininfo.

Sur je crée un raccourci pour le lancer, ton script bloque en indiquant qu'il ne prend pas en charge la souris.

Mais ce sont des détails peu importants qui ne méritent pas que tu consacres du temps à y réfléchir et à proposer des solutions.

Amitiés

Mimile



Modifié par Mimile le 17/09/2017 11:18
Page : [1] 
Page 1 sur 1

Vous devez être connecté pour poster des messages. Cliquez ici pour vous identifier.

Vous n'avez pas de compte ? Créez-en un gratuitement !

Sujets relatifs
[udevd] messages d'erreur au boot
Message erreur Cups
Erreur d'envoi de SMS par elinks
Message erreur Filezilla
Linux Mint 17.3 - erreur ModemManager
Erreur au démarrage Mint 17
Problème pour installer linux mint sans que ma tour s'éteigne
problème souris sans fil linux
Code erreur 0xc000000e ?? Infection virus ??
Claviers sans fil et accès Bios(Efi)
Plus de sujets relatifs à VLC : messages d''erreur sans incidence sur le bon déroulement
 > Tous les forums > Forum Linux